## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ICUBridgeCollationCompareFunctorImpl::CollationCacheStruct::CollatorFindFunctor Struct Reference

`#include <ICUBridgeCollationCompareFunctorImpl.hpp>`

List of all members.

## Public Methods

- CollatorFindFunctor (const XalanDOMChar* theLocale)
- bool operator() (CollationCacheStruct& theStruct) const

## Public Attributes

- const XalanDOMChar* const m_locale

## Constructor & Destructor Documentation

ICUBridgeCollationCompareFunctorImpl::CollationCacheStruct::CollatorFindFunctor::CollatorFindFunctor ( | const XalanDOMChar * theLocale )

## Member Function Documentation

bool ICUBridgeCollationCompareFunctorImpl::CollationCacheStruct::CollatorFindFunctor::operator() ( | CollationCacheStruct & theStruct ) const`[]`

## Member Data Documentation

const XalanDOMChar *const ICUBridgeCollationCompareFunctorImpl::CollationCacheStruct::CollatorFindFunctor::m_locale

The documentation for this struct was generated from the following file:

- ICUBridgeCollationCompareFunctorImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.